gmusicbrowser Forum

Main board => French => Topic started by: chuisnuletdeb on June 26, 2011, 20:18:30

Title: [résolu] (pbm firewall) un nul qui essaye d'installer la 1.1.7
Post by: chuisnuletdeb on June 26, 2011, 20:18:30
tcho tout le monde
nouveau dans le monde linux (j'ai la mint9) et donc sur ce forum, j'ai installé la v 1.0.2 dispo depuis synaptic qui me paraît bien, mais j'aimerais bien éviter les bugs et bénéficier des évolutions de la v 1.1.7. tant qu'à faire

je ne trouve pas de marche à suivre pour l'installer par un nul qui n'y connait rien ou si peu à linux et ubuntu comme moi. j'en suis encore à environ 0 commande entrée par le user admin, vous voyez le niveau ;D
y aurait-il une bonne âme pour m'indiquer ce qu'il faut faire depuis l'étape de téléchargement de gmusicbrowser-1.1.7.tar.gz ou de me filer un lien qui l'expliquerait en français si possible ? :P
Title: Re: un nul qui essaye d'installer la 1.1.7
Post by: Quentin Sculo on June 27, 2011, 02:20:23
Mint est basé sur debian, donc installer le ppa d'ochosi pourrait marcher, ou peut-être aller chercher le .deb dans le ppa.

Sinon, j'ai fait un deb pour la 1.1.7 en vitesse, je ne l'ai pas testé :
http://gmusicbrowser.org/download/gmusicbrowser_1.1.7_all.deb

Pour utiliser le tar.gz directement, il suffit de le décompresser, d'installer les dépendences (qui sont probablement déjà installées du fait du paquet 1.0.2) et de lancer le gmusicbrowser.pl
Title: Re : un nul qui essaye d'installer la 1.1.7
Post by: chuisnuletdeb on June 27, 2011, 06:57:06
merci quentin ;)

je vais essayer ça dans la journée
Title: Re : un nul qui essaye d'installer la 1.1.7
Post by: mgrubert on June 27, 2011, 12:17:33
L'avantage du ppa, c'est que dès qu'il y a une mise à jour, elle est appliquée.
Ici tu as un "daily" ppa (mise à jour tous les jours, s'il y en a une à appliquer) : http://forum.gmusicbrowser.org/index.php?topic=362.0
Title: Re : un nul qui essaye d'installer la 1.1.7
Post by: chuisnuletdeb on June 27, 2011, 15:09:01
merci mgrubert  ;) j'avais déjà vu cette page ... j'ai bien réussi à ajouter le ppa dans les sources de mises à jour (autres logiciels) mais je n'arrive pas à récupérer la clé :P  j'ai pourtant regarder les aides, mais je ne pige pas ...
ça me donne ça par exemple

[email protected] ~ $ sudo add-apt-repository ppa:andreas-boettger/gmusicbrowser-daily
[sudo] password for jf:
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv 573BF6F8C1F99FBBDF4B2D19EBCB29DA46C4E33F
gpg: requête de la clé 46C4E33F du serveur hkp keyserver.ubuntu.com
gpgkeys: HTTP fetch error 7: couldn't connect to host
gpg: aucune donnée OpenPGP valide n'a été trouvée.
gpg: Quantité totale traitée: 0

ou ça :

[email protected] ~ $ gpg --recv-key 46C4E33F
gpg: répertoire `/home/jf/.gnupg' créé
gpg: nouveau fichier de configuration `/home/jf/.gnupg/gpg.conf' créé
gpg: AVERTISSEMENT: les options de `/home/jf/.gnupg/gpg.conf' ne sont pas encore actives cette fois
gpg: le porte-clés `/home/jf/.gnupg/secring.gpg` a été créé
gpg: le porte-clés `/home/jf/.gnupg/pubring.gpg` a été créé
gpg: pas de serveur de clés connu (utilisez l'option --keyserver)
gpg: la réception depuis le serveur de clés a échoué: mauvaise adresse (URI)


j'ai même essayer de mettre le fingerprint dans un fichier .txt et de l'importer par le bouton "importer la clé publique ..." dans l'onglet "authentification" dans sources de mise à jour ... franchement c'est quand même pas simple de piger le truc pour un newbie, même avec l'aide en ligne ... ah ben nan je suis con, c'est sûrement moi qui est trop nul ;D



en tous cas je n'aurai p-e pas de mise à jour auto, mais j'ai la v 1.1.7 grâce à quentin ! y a plus qu'à tester ça  8)


edit : le peu que j'ai vu me plait bien ! bon taf quentin !
Title: Re : un nul qui essaye d'installer la 1.1.7
Post by: mgrubert on June 27, 2011, 16:03:49
Beh tu as du avoir un pb de connexion, parce qu'après sudo add-apt-repository ppa:andreas-boettger/gmusicbrowser-daily tu aurais du avoir la clé.
Ressaye peut-être ?
Title: Re : Re : un nul qui essaye d'installer la 1.1.7
Post by: chuisnuletdeb on June 27, 2011, 19:15:15
Beh tu as du avoir un pb de connexion, parce qu'après sudo add-apt-repository ppa:andreas-boettger/gmusicbrowser-daily tu aurais du avoir la clé.
Ressaye peut-être ?

effectivement ;)

j'ai eu une màj, qui a très bien fonctionnée 8)  pis maintenant je viens d'actualiser le gestionnaire de mises à jour et ça replante  ::)

W: Erreur GPG : http://ppa.launchpad.net lucid Release: Les signatures suivantes n'ont pas pu être vérifiées car la clé publique n'est pas disponible : NO_PUBKEY EBCB29DA46C4E33F



alors que j'ai ma connexion qui fonctionne normalement ... 'fin pas de coupure, elle est active quoi ... va savoir ... bah au pire c'est pas si grave ... je verrai ça plus tard

en tous cas merci à vous 2 !
Title: Re : un nul qui essaye d'installer la 1.1.7
Post by: mgrubert on June 27, 2011, 19:31:23
C'est tjs le pb de la clé publique qui n'est pas installée (sans cette clé, le dépôt n'est pas considéré comme fiable et donc pas mis à jour).
Moi si j'étais toi, je virerai le dépôt (par Synaptic Configuration\dépots onglets Autres logiciels, cliquer sur le ppa d'Andreas, supprimer, quitter), puis je recommencerai la procédure (en ligne de commande : les erreurs sont indiquées explicitement quand tu fais ça en ligne de commande, alors que ce n'est pas tjs le cas sinon) pour remettre le dépôt.
Title: Re : un nul qui essaye d'installer la 1.1.7
Post by: chuisnuletdeb on June 28, 2011, 03:06:35
merci de ton conseil ;) mais j'ai tjrs le même blème ...

j'ai donc viré la ligne dans le gestionnaire de mises à jour, actualiser sans au cum blème, donc elle doit bien être supprimée ... pis j'ai relancé sur la ligne de cmd

[email protected] ~ $ sudo add-apt-repository ppa:andreas-boettger/gmusicbrowser-daily
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /etc/apt/secring.gpg --trustdb-name /etc/apt/trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keyserver.ubuntu.com --recv 573BF6F8C1F99FBBDF4B2D19EBCB29DA46C4E33F
gpg: requête de la clé 46C4E33F du serveur hkp keyserver.ubuntu.com
gpgkeys: HTTP fetch error 7: couldn't connect to host
gpg: aucune donnée OpenPGP valide n'a été trouvée.
gpg: Quantité totale traitée: 0


le recv 573BF6F8C1F99FBBDF4B2D19EBCB29DA46C4E33F  correspond à ce qu'il y a sur la page d'abo
Fingerprint: 573BF6F8C1F99FBBDF4B2D19EBCB29DA46C4E33F

ça ne serait pas dû par hasard à ce qu'un port de mon firewall ne serait pas ouvert/autorisé ? je suis aussi une buse en réseau ;D

je vais tester de le faire en désactivant le fw ...
Title: Re : un nul qui essaye d'installer la 1.1.7
Post by: mgrubert on June 28, 2011, 03:08:31
Une idée Quentin ?
Title: Re : un nul qui essaye d'installer la 1.1.7
Post by: chuisnuletdeb on June 28, 2011, 03:14:00
rah quelle buse je fais ::) c'est bien un blème avec mon fw ...

quelqu'un saurait ce qu'il faut ajouter comme port, par zhazard ?

désolé de vous faire perdre du temps ... 'fin surtout toi mgrubert :-\


edit : ah ben c'est tout bon, je pense qu'il n'en avait besoin que pour le transfert de la clé ... ;D
Title: Re : un nul qui essaye d'installer la 1.1.7
Post by: mgrubert on June 28, 2011, 03:15:22
Tu peux le désactiver ton fw le temps de valider la clé publique ?
Title: Re : un nul qui essaye d'installer la 1.1.7
Post by: chuisnuletdeb on June 28, 2011, 03:17:32
edit pendant que tu postais ...

c'est tout bon donc ! je peux éditer mon topic en [résolu] ;)
Title: Re : [résolu] (pbm firewall) un nul qui essaye d'installer la 1.1.7
Post by: mgrubert on June 28, 2011, 03:23:15
Cool. Tu vas pouvoir profiter des layout d'Abo (Arkanoid 2 : excellent) et du mien (http://forum.gmusicbrowser.org/index.php?topic=325.0 :) )
Title: Re : [résolu] (pbm firewall) un nul qui essaye d'installer la 1.1.7
Post by: chuisnuletdeb on June 28, 2011, 04:22:39
je veux bien essayer, mais demain :P chaque jour suffit sa peine ;D

 ;)
Title: Re : [résolu] (pbm firewall) un nul qui essaye d'installer la 1.1.7
Post by: mgrubert on June 28, 2011, 04:32:40
Tu verras c'est plus simple  ;D
En plus je crois qu'abo a fait un package qui permet d'ajouter les layouts automatiquement.
Je le fais à la main, alors j'ai pas exploré le truc d'abo.

Le PPA d'abo c'est là : https://launchpad.net/~andreas-boettger/+archive/gmusicbrowser-art
Title: Re : [résolu] (pbm firewall) un nul qui essaye d'installer la 1.1.7
Post by: chuisnuletdeb on June 29, 2011, 02:26:54
Tu verras c'est plus simple  ;D
En plus je crois qu'abo a fait un package qui permet d'ajouter les layouts automatiquement.
Je le fais à la main, alors j'ai pas exploré le truc d'abo.

Le PPA d'abo c'est là : https://launchpad.net/~andreas-boettger/+archive/gmusicbrowser-art

j'ai ajouté gmusicbrowser-art dans les ppa, ça c'est bon ... par contre je ne vois pas ce que ça change :P

mais j'y pige quedchi ;D

1. un layout, c'est bien un (ou des) fichier qui a pour but de donner une apparence et/ou des fonctionnalités différentes ?

2. ton truc dans le topic "layout - garage" se trouve dans ce paquet ? si c'est le cas je ne vois pas où et comment je peux l'appliquer ... mais la réponse est p-e dans le forum, j'y jette un oeil après
mais je ne vois pas le rapport avec arkanoid, si c'est du jeu dont tu parles :-\  ou alors c'est un autre layout ?

3. j'ai aussi téléchargé en .tar.gz le 0.1.16.zip là https://github.com/aboettger/gmusicbrowser-layouts/downloads mais faut en faire quoi ?

je t'avais prévenu, mon pseudo n'est pas loin de la vérité 8)

si ça te gave d'expliquer, je ne me fâcherai pas hein, c'est bien compréhensible  ;) pis ce que j'ai me plait déjà bien ...
Title: Re : [résolu] (pbm firewall) un nul qui essaye d'installer la 1.1.7
Post by: mgrubert on June 29, 2011, 03:05:41
Alors
1) le ppa gmusicbrowser-art ajoute juste un choix dans les apparences. Par exemple tu mets l'apparence "Listes de lectures, bibliothèque et contexte" et tu as dans le menu Apparence/Disposition un sous menu (gmb-art) vers les layouts installés par ce ppa. Mon layout Garage n'y est pas parce que je pige pas comment ajouter ma proposition de layout au ppa en question, mais il y a une adaptation de mon layout Garage que j'ai fait pour cardiacanesthesia (qui s'appelle cardiacanesthesia), très proche de mon layout, qu'abo a mis lui-même sur le ppa. Mais il n'est pas mis à jour avec les dernières modifs (des détails).
2) tu peux aussi ajouter à la main des layouts. Tout se fait dans le répertoire \home\.config\gmusicbrowser (.config est masqué comme tous les répertoires commençant par un . (point) mais tu peux le faire apparaître quand tu es dans ton répertoire \home en faisant CTRL+H). Là tu as un fichier nommé layouts que tu peux éditer et modifier. Si tu trouves sur les forums où nous sommes un layout qui te plait, tu le copies/colles dans ce fichier et il apparaîtra dans tes choix d'apparence de gmb (après avoir enregistré le fichier layouts et avoir redémarré gmb).

L'initiative d'abo, avec son ppa daily et son ppa art c'est pour permettre aux gens qui n'y connaissent rien d'avoir les dernières mises à jour et les derniers layouts. En plus il fait plein de layouts d'enfer (si tu aimes l'apparence de Rhythmbox, d'Exaile, de Quodlibet, etc. il les a tous refait pour gmb) et présente bien ses layouts, ce qui permet de comprendre un peu comment ça marche, si jamais tu veux te lancer dans la conception de layout. Je te conseille le layout Arkanoid 2 (un layout original d'abo) qui possède un menu pour afficher ou effacer les panneaux dont tu n'as pas l'utilité et comme il en a prévu plein partout, tu devrais pouvoir t'approcher de l'apparence qui te convient le mieux. Je me suis basé sur ce layout là pour faire le mien (Garage) : une fois que j'ai trouvé ma configuration idéale, j'ai supprimé toutes les options d'Arkanoid, modifié deux ou trois trucs pour coller avec mes envies ; Garage est donc une version figée et légèrement adaptée d'Arkanoid.

Sinon il faut que tu saches qu'il y a plein d'options d'affichage de base dans gmb, qui sont valables dans tous les layouts, toutes accessibles par le clic droit sur un panneau : afficher les onglets, ajouter/supprimer un onglet, selon l'affichage du panneau que tu as choisi tu peux aussi mettre une image, choisir le mode d'affichage du texte, choisir un affichage en mosaïque ou en nuage (et régler les paramètres du nuage), voire faire un sous affichage (regroupement).

Enfin bref tu peux faire des tas de choses.

Tu devrais ouvrir un fil avec un nouveau titre si tu veux continuer cette discussion, qui ne me dérange pas du tout : pour une fois que je peux aider, je me sens utile !
Title: Re : [résolu] (pbm firewall) un nul qui essaye d'installer la 1.1.7
Post by: chuisnuletdeb on June 29, 2011, 04:39:08
oki, je comprend un peu mieux grace à ta "prose", mais j'ai pas tout saisi du premier coup ;D

je vais donc lire tout ça tranquillement demain, la tête reposée :P pis si j'ai encore des questions, j'ouvrirai un nouveau topic

merci encore de me consacrer du temps, c'est bien cool de ta part ;)
Title: Re : [résolu] (pbm firewall) un nul qui essaye d'installer la 1.1.7
Post by: mgrubert on June 29, 2011, 04:42:50
Pas de problème.